// pages/channelDetails/channelDetails.js
const { pageByDevice }=require('./../../utils/api.js');
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    nvabarData: {
      showCapsule: 1, //是否显示左上角图标   1表示显示    0表示不显示
      title: '', //导航栏 中间的标题
    },
    navBarHeight: app.globalData.navBarHeight,
    MenuButtonTop: app.globalData.MenuButtonTop,
    thisChannel: {},
    pageIndex: 1,
    channelList:[],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {

    const _this = this;

    wx.getStorage({
      key: "channelDeta",
      success(res) {
        _this.setData({
          thisChannel: res.data
        });
        pageByDevice({
          channelId: res.data.channelId,
          pageNum: 1,
          pageSize: 300
        }).then((res)=> {
          _this.setData({
            channelList: res.records
          })
          wx.removeStorage({
            key: 'channelDeta',
          })
        })
      }
    })
    
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})